X509CRLObject (Bouncy Castle Library 1.54 API Specification)
Date: 2015-12-29

org.bouncycastle.jce.provider

## Class X509CRLObject

- java.lang.Object
- - java.security.cert.CRL
  - - java.security.cert.X509CRL
    - - org.bouncycastle.jce.provider.X509CRLObject

- All Implemented Interfaces:
    java.security.cert.X509Extension

      public class X509CRLObject
      extends java.security.cert.X509CRL

  The following extensions are listed in RFC 2459 as relevant to CRLs Authority Key Identifier Issuer Alternative Name CRL Number Delta CRL Indicator (critical) Issuing Distribution Point (critical)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `X509CRLObject(CertificateList c)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object other)`
    `java.util.Set` | `getCriticalExtensionOIDs()`
    `byte[]` | `getEncoded()`
    `byte[]` | `getExtensionValue(java.lang.String oid)`
    `java.security.Principal` | `getIssuerDN()`
    `javax.security.auth.x500.X500Principal` | `getIssuerX500Principal()`
    `java.util.Date` | `getNextUpdate()`
    `java.util.Set` | `getNonCriticalExtensionOIDs()`
    `java.security.cert.X509CRLEntry` | `getRevokedCertificate(java.math.BigInteger serialNumber)`
    `java.util.Set` | `getRevokedCertificates()`
    `java.lang.String` | `getSigAlgName()`
    `java.lang.String` | `getSigAlgOID()`
    `byte[]` | `getSigAlgParams()`
    `byte[]` | `getSignature()`
    `byte[]` | `getTBSCertList()`
    `java.util.Date` | `getThisUpdate()`
    `int` | `getVersion()`
    `int` | `hashCode()`
    `boolean` | `hasUnsupportedCriticalExtension()` Will return true if any extensions are present and marked as critical as we currently dont handle any extensions!
    `static boolean` | `isIndirectCRL(java.security.cert.X509CRL crl)`
    `boolean` | `isRevoked(java.security.cert.Certificate cert)` Checks whether the given certificate is on this CRL.
    `java.lang.String` | `toString()` Returns a string representation of this CRL.
    `void` | `verify(java.security.PublicKey key)`
    `void` | `verify(java.security.PublicKey key, java.security.Provider sigProvider)`
    `void` | `verify(java.security.PublicKey key, java.lang.String sigProvider)`

    - ### Methods inherited from class java.security.cert.X509CRL

      `getRevokedCertificate`

    - ### Methods inherited from class java.security.cert.CRL

      `getType`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### X509CRLObject

          public X509CRLObject(CertificateList c)
                        throws java.security.cert.CRLException

      Throws:
        `java.security.cert.CRLException`

  - ### Method Detail

    - #### isIndirectCRL

          public static boolean isIndirectCRL(java.security.cert.X509CRL crl)
                                       throws java.security.cert.CRLException

      Throws:
        `java.security.cert.CRLException`

    - #### hasUnsupportedCriticalExtension

          public boolean hasUnsupportedCriticalExtension()

      Will return true if any extensions are present and marked as critical as we currently dont handle any extensions!

    - #### getCriticalExtensionOIDs

          public java.util.Set getCriticalExtensionOIDs()

    - #### getNonCriticalExtensionOIDs

          public java.util.Set getNonCriticalExtensionOIDs()

    - #### getExtensionValue

          public byte[] getExtensionValue(java.lang.String oid)

    - #### getEncoded

          public byte[] getEncoded()
                            throws java.security.cert.CRLException

      Specified by:
        `getEncoded` in class `java.security.cert.X509CRL`
      Throws:
        `java.security.cert.CRLException`

    - #### verify

          public void verify(java.security.PublicKey key)
                      throws java.security.cert.CRLException,
                             java.security.NoSuchAlgorithmException,
                             java.security.InvalidKeyException,
                             java.security.NoSuchProviderException,
                             java.security.SignatureException

      Specified by:
        `verify` in class `java.security.cert.X509CRL`
      Throws:
        `java.security.cert.CRLException`
        `java.security.NoSuchAlgorithmException`
        `java.security.InvalidKeyException`
        `java.security.NoSuchProviderException`
        `java.security.SignatureException`

    - #### verify

          public void verify(java.security.PublicKey key,
                    java.lang.String sigProvider)
                      throws java.security.cert.CRLException,
                             java.security.NoSuchAlgorithmException,
                             java.security.InvalidKeyException,
                             java.security.NoSuchProviderException,
                             java.security.SignatureException

      Specified by:
        `verify` in class `java.security.cert.X509CRL`
      Throws:
        `java.security.cert.CRLException`
        `java.security.NoSuchAlgorithmException`
        `java.security.InvalidKeyException`
        `java.security.NoSuchProviderException`
        `java.security.SignatureException`

    - #### verify

          public void verify(java.security.PublicKey key,
                    java.security.Provider sigProvider)
                      throws java.security.cert.CRLException,
                             java.security.NoSuchAlgorithmException,
                             java.security.InvalidKeyException,
                             java.security.SignatureException

      Throws:
        `java.security.cert.CRLException`
        `java.security.NoSuchAlgorithmException`
        `java.security.InvalidKeyException`
        `java.security.SignatureException`

    - #### getVersion

          public int getVersion()

      Specified by:
        `getVersion` in class `java.security.cert.X509CRL`

    - #### getIssuerDN

          public java.security.Principal getIssuerDN()

      Specified by:
        `getIssuerDN` in class `java.security.cert.X509CRL`

    - #### getIssuerX500Principal

          public javax.security.auth.x500.X500Principal getIssuerX500Principal()

      Overrides:
        `getIssuerX500Principal` in class `java.security.cert.X509CRL`

    - #### getThisUpdate

          public java.util.Date getThisUpdate()

      Specified by:
        `getThisUpdate` in class `java.security.cert.X509CRL`

    - #### getNextUpdate

          public java.util.Date getNextUpdate()

      Specified by:
        `getNextUpdate` in class `java.security.cert.X509CRL`

    - #### getRevokedCertificate

          public java.security.cert.X509CRLEntry getRevokedCertificate(java.math.BigInteger serialNumber)

      Specified by:
        `getRevokedCertificate` in class `java.security.cert.X509CRL`

    - #### getRevokedCertificates

          public java.util.Set getRevokedCertificates()

      Specified by:
        `getRevokedCertificates` in class `java.security.cert.X509CRL`

    - #### getTBSCertList

          public byte[] getTBSCertList()
                                throws java.security.cert.CRLException

      Specified by:
        `getTBSCertList` in class `java.security.cert.X509CRL`
      Throws:
        `java.security.cert.CRLException`

    - #### getSignature

          public byte[] getSignature()

      Specified by:
        `getSignature` in class `java.security.cert.X509CRL`

    - #### getSigAlgName

          public java.lang.String getSigAlgName()

      Specified by:
        `getSigAlgName` in class `java.security.cert.X509CRL`

    - #### getSigAlgOID

          public java.lang.String getSigAlgOID()

      Specified by:
        `getSigAlgOID` in class `java.security.cert.X509CRL`

    - #### getSigAlgParams

          public byte[] getSigAlgParams()

      Specified by:
        `getSigAlgParams` in class `java.security.cert.X509CRL`

    - #### toString

          public java.lang.String toString()

      Returns a string representation of this CRL.
      Specified by:
        `toString` in class `java.security.cert.CRL`
      Returns:
        a string representation of this CRL.

    - #### isRevoked

          public boolean isRevoked(java.security.cert.Certificate cert)

      Checks whether the given certificate is on this CRL.
      Specified by:
        `isRevoked` in class `java.security.cert.CRL`
      Parameters:
        `cert` - the certificate to check for.
      Returns:
        true if the given certificate is on this CRL, false otherwise.

    - #### equals

          public boolean equals(java.lang.Object other)

      Overrides:
        `equals` in class `java.security.cert.X509CRL`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.security.cert.X509CRL`